=== vendored-meson/meson/test cases/unit/128 long opt vs D/meson_options.txt ===
option('sysconfdir2', type: 'string', value: '')
