=== vendored-meson/meson/test cases/common/87 default options/subprojects/sub1/meson_options.txt ===
option('test_option', type : 'boolean', value : true, description : 'Test option. Superproject overrides default to "false"')
option('func_test_option', type : 'boolean', value : false, description : 'Test option. Superproject overrides default to "true"')
