=== debian/changelog ===
numpy (1:2.3.4+ds-3ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable (LP: #2130177), remaining changes:
    - Skip test_cpu_features on ppc64el and s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Nov 2025 18:32:17 +0000
