=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/numpy/numpy/releases
Search-Mode: plain
Matching-Pattern: https://github.com/[^/]+/[^/]+/releases/download/v\d[\.\d]*/numpy@SEMANTIC_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +ds
