## numpy 2.3.5%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christian Kastner <ckk@debian.org>,
  Timo Röhling <roehling@debian.org>,
@@ -25,9 +24,9 @@
  python3-pyproject-metadata:native,
  python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-setuptools <!nocheck>,
  python3-typing-extensions (>= 4.2.0) <!nocheck>,
- python3-pytz <!nocheck>,
  tzdata-legacy <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -48,7 +47,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
 # python-matplotlib-doc <!nodoc>,  # missing
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
 Homepage: http://www.numpy.org/
