## numpy 2.3.5+ds

=== debian/changelog ===
numpy (1:2.3.5+ds-3) unstable; urgency=medium

  [ Drew Parsons ]
  * x32: skip test_advance_symmetry (random)
  * hurd: skip test_tuple_recursion (core test_dtype)

  [ Timo Röhling ]
  * Drop --config-setting build-dir (Closes: #1124186)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Dec 2025 17:31:24 +0100

numpy (1:2.3.5+ds-2) unstable; urgency=medium

  * Also fix integer size for new flags type

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 22:28:54 +0100

numpy (1:2.3.5+ds-1) unstable; urgency=medium

  * New upstream version 2.3.5+ds
  * Update patches
    - Merged: 0012-Avoid-compilation-error-of-wrapper-file-generated-wi.patch
  * Skip test which misbehaves on powerpc.
    Thanks to Drew Parsons (Closes: #1121005)
  * Fix integer size mismatch.
    Again thanks to Drew Parsons (Closes: #1120971)
  * Wrap and sort Debian package files
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 09:47:17 +0100
