=== debian/rules ===
--- 
+++ 
@@ -77,11 +77,18 @@
 SKIP_TESTS += \
 	test_cpu_features
 endif
+ifneq ($(filter hurd,$(DEB_HOST_ARCH_OS)),)
+SKIP_TESTS += \
+	test_tuple_recursion
+endif
+ifneq ($(filter x32,$(DEB_HOST_ARCH)),)
+SKIP_TESTS += \
+	test_advance_symmetry
+endif
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
 SKIP_TESTS += test_dict_mode
 endif
 
-export PYBUILD_BUILD_ARGS = --config-setting build-dir={dir}/.mesonpy
 export PYBUILD_TEST_ARGS = $(if $(SKIP_TESTS),-k 'not ($(call concat_with,$(space)or$(space),$(SKIP_TESTS)))')
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
 PYBUILD_TEST_ARGS += /usr/lib/python3/dist-packages/numpy
@@ -91,7 +98,7 @@
 export PYBUILD_BEFORE_BUILD = meson env2mfile --debarch $(DEB_HOST_ARCH) --cross -o {dir}/debian/meson-cross.txt \
 	&& python3 {dir}/debian/helpers/add_longdouble_format_property.py {dir}/debian/meson-cross.txt $(DEB_HOST_ARCH)
 export PYBUILD_AFTER_BUILD = rm {dir}/debian/meson-cross.txt
-PYBUILD_BUILD_ARGS += --config-setting setup-args=--cross-file={dir}/debian/meson-cross.txt
+export PYBUILD_BUILD_ARGS = --config-setting setup-args=--cross-file={dir}/debian/meson-cross.txt
 endif
 
 # Helper variables
