## numpy 2.4.1+ds

=== debian/changelog ===
numpy (1:2.4.1+ds-1) experimental; urgency=medium

  * New upstream version 2.4.1+ds
  * Update patches
    - Merged: 0011-Add-object-copy-for-f2py-meson-backend.patch
    - Obsolete: 0012-Skip-test_arbitrary_number_of_ops_error-on-32-bit-ar.patch
    - Merged: 0013-Fix-integer-size-mismatch.patch
  * Bump C API Version to 21

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jan 2026 22:02:06 +0100
