## numpy 2.4.2+ds

=== debian/changelog ===
numpy (1:2.4.2+ds-1) experimental; urgency=medium

  * New upstream version 2.4.2+ds
  * Refresh patch (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Feb 2026 22:29:25 +0100
