## numpy choices-0.10

=== numpy_choices/requirements.txt ===
check_if_nan
numpy
