## numpy ipps-0.0.3.dev0

=== docs/requirements.txt ===
breathe<4.15
sphinx<3
sphinx_rtd_theme
sphinxcontrib-apidoc
m2r
pyyaml
