## numpy ipps-2.2.1.dev0

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 sphinxcontrib-apidoc
 m2r
 pyyaml
+rst2pdf
